Page MenuHomePhabricator

Archive the AWS extension
Closed, ResolvedPublicRequest

Description

Reason: https://www.mediawiki.org/wiki/Extension:AWS is marked as unmantained and rEAWS effectively displays that. Unless someone wishes to revive it, I propose to archive it.

Event Timeline

MarcoAurelio moved this task from Backlog to Cleanup / Archival on the Repository-Admins board.
MarcoAurelio moved this task from Untriaged to Archive extensions on the Cleanup board.
MarcoAurelio triaged this task as Normal priority.Sep 3 2017, 10:17 AM
Florian updated the task description. (Show Details)Sep 5 2017, 4:39 PM

Change 376053 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[mediawiki/extensions@master] Archive extension AWS

https://gerrit.wikimedia.org/r/376053

Florian updated the task description. (Show Details)Sep 5 2017, 4:40 PM

Change 376054 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[integration/config@master] Archive extension AWS

https://gerrit.wikimedia.org/r/376054

Florian updated the task description. (Show Details)Sep 5 2017, 4:42 PM

Change 376055 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[translatewiki@master] Archive extension AWS

https://gerrit.wikimedia.org/r/376055

Florian updated the task description. (Show Details)Sep 5 2017, 4:44 PM
Florian added a subscriber: Florian.

Can not do the Diffusion repository :)

MarcoAurelio added a subscriber: demon.

Reassigning to you :)

I'll take care of Diffusion once the gerrit repo is emptied and marked as readonly so they both display the same content. @demon may want to delete the github mirror over there too once this is done?

Regards.

Change 376054 merged by jenkins-bot:
[integration/config@master] Archive extension AWS

https://gerrit.wikimedia.org/r/376054

Change 376055 merged by jenkins-bot:
[translatewiki@master] Archive extension AWS

https://gerrit.wikimedia.org/r/376055

Change 376053 merged by Umherirrender:
[mediawiki/extensions@master] Archive extension AWS

https://gerrit.wikimedia.org/r/376053

SamanthaNguyen removed a project: Patch-For-Review.
SamanthaNguyen removed a subscriber: gerritbot.

Can we please reactivate the gerrit repo so I can empty it and add an OBSOLETE file as @Legoktm has suggested for this kind of tasks? Thank you.

demon added a comment.Sep 9 2017, 8:37 PM

Done

(I do think OBSOLETE files are silly though)

demon added a comment.Sep 9 2017, 8:38 PM

Also: let's write a goddamn tool for this. This process is far too manual.

Also: let's write a goddamn tool for this. This process is far too manual.

+1 from me.

@demon Just a question, is it possible for non-admins to mark gerrit repositories as read-only/active?

demon added a comment.Sep 9 2017, 8:47 PM

Owners of a repository can.

Change 376996 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/AWS@master] Archive the AWS extension

https://gerrit.wikimedia.org/r/376996

@demon Thanks. https://gerrit.wikimedia.org/r/#/c/376996/ empties the repo and adds an OBSOLETE file. When that is merged you can mark the repo as read-only again. Thanks.

Change 376996 merged by Chad:
[mediawiki/extensions/AWS@master] Archive the AWS extension

https://gerrit.wikimedia.org/r/376996

demon added a comment.EditedSep 9 2017, 9:09 PM

Eh, they're fine as-is.

MarcoAurelio closed this task as Resolved.Sep 9 2017, 9:12 PM
MarcoAurelio updated the task description. (Show Details)

I've taken care of Diffusion as well. Done I think.

Mentioned in SAL (#wikimedia-releng) [2017-10-30T09:21:48Z] <hashar> gerrit: prefix mediawiki/extensions/AWS description with '[ARCHIVED] ' - T174864